Project

General

Profile

Bug #9952

compile error with gnome-keyring 3.12

Added by R - over 5 years ago. Updated over 4 years ago.

Status:
Fixed
Priority:
Low
Assignee:
-
Category:
General
Target version:
-
Start date:
05/10/2014
Due date:
% Done:

100%

Estimated time:
Affected Version:
git development version
System:
other GNU/Linux
bitness:
64-bit
hardware architecture:
amd64/x86

Description

When the latest git master I get a compile error. I have libgnome-keyring 3.12
Looks like libgnome-keyring 3.12 deprecated a few of the functions that darktable uses.

Attached is the compiler output.

My system is Archlinux 64bit
GCC 4.9.0 (also had the same error with 4.8.0)

compout.txt (6.06 KB) compout.txt Compiler output R -, 05/10/2014 09:53 PM
dt_git_compile_fail_gnomekeyring.txt (6.32 KB) dt_git_compile_fail_gnomekeyring.txt Jeff G, 05/21/2014 10:04 AM

History

#1 Updated by Jeff G over 5 years ago

Just tried to compile from git on my arch based distro and got pretty much the same thing line for line. I came here 1st to check and glad to its not just me. I just wanted to add a copy of my terminal output as well. ((I don't know why when I posted it added % Done 10%, i didn't add that myself. It was just there))

#2 Updated by Tobias Ellinghaus over 5 years ago

  • % Done changed from 10 to 20
  • Priority changed from Medium to Low
  • Status changed from Confirmed to Triaged
  • Category set to General

For the time being you have to compile without support for gnome keyring. If you use cmake directly pass -DUSE_GNOME_KEYRING=Off, if you use build.sh pass --disable-gnome-keyring.

#3 Updated by Stefan Wimmer about 5 years ago

Tobias Ellinghaus wrote:

For the time being you have to compile without support for gnome keyring. If you use cmake directly pass -DUSE_GNOME_KEYRING=Off, if you use build.sh pass --disable-gnome-keyring.

A pity to hear :-/ Does that mean gnome-keyring support won't come back? Or do we just have to sit out the time a new version of gnome-keyring will appear?

#4 Updated by Tobias Ellinghaus about 5 years ago

  • Affected Version changed from git stable branch to git development version

It will probably be updated once libgnome-keyring 3.12 hits the distribution of someone willing to fix it. Debian sid is still as 3.8, once it updates I might give it a look.

#5 Updated by Roman Lebedev over 4 years ago

  • % Done changed from 20 to 100
  • Status changed from Triaged to Fixed

gnome-keyring is deprecated and gone, please install and use libsecret.

Also available in: Atom PDF

Go to top